<?php

namespace App\baseClasses;
use App\controllers\KCBookAppointmentWidgetController;
use App\controllers\KCServiceController;
class WidgetHandler extends KCBase {

	public function init() {
        add_shortcode('bookAppointment', [$this, 'bookAppointmentWidget']);
        add_shortcode('patientDashboard', [$this, 'patientDashboardWidget']);
    }

    public function bookAppointmentWidget ($param) {
        $doctor_id = 0;
        $clinic_id = 0;
        $service_id = -1;
        if(isset($param['doctor_id']) && !empty($param['doctor_id'])){
            $doctor_id = isset($param['doctor_id']) ? '"'.sanitize_text_field($param['doctor_id']).'"' : 0;
        }elseif(isset($_GET['doctor_id']) && !empty($_GET['doctor_id'])){
            $doctor_id = sanitize_text_field(wp_unslash($_GET['doctor_id']));
        }

        if(isset($param['clinic_id']) && !empty($param['clinic_id'])){
            $clinic_id = isset($param['clinic_id']) ? sanitize_text_field($param['clinic_id']) : 0;
        }elseif(isset($_GET['clinic_id']) && !empty($_GET['clinic_id'])){
            $clinic_id = sanitize_text_field(wp_unslash($_GET['clinic_id']));
        }

        if(isset($param['service_id']) && !empty($param['service_id'])){
            $service_id = isset($param['service_id']) ? sanitize_text_field($param['service_id']) : -1;
        }
        if(is_user_logged_in()) {
            $user_id = get_current_user_id();
        } else {
            $user_id = 0;
        }

        $this->shortcodeScript();
        ob_start();
        echo "<div id='app' class='kivi-care-appointment-booking-container kivi-widget' >
        <book-appointment-widget v-bind:user_id='$user_id' v-bind:doctor_id='$doctor_id' v-bind:clinic_id='$clinic_id' v-bind:service_id='$service_id' >
        </book-appointment-widget></div>";
        return ob_get_clean();
    }

    public function patientDashboardWidget () {
        $this->shortcodeScript();
        ob_start();
        echo "<div id='app' class='kivi-care-patient-dashboard-container kivi-widget' ><patient-dashboard-widget></patient-dashboard-widget></div>";
        return ob_get_clean();
    }

    public function shortcodeScript(){
        wp_enqueue_style('kc_font_awesome');
        wp_enqueue_style('kc_front_app_min_style');
        wp_dequeue_style( 'stylesheet' );
        wp_enqueue_script('kc_front_js_bundle');
        wp_enqueue_script('kc_custom');
    }
}


